
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:pocket_realization_end')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
					const radius = 18; 

			
for (let x = -radius; x <= radius; x++) {
    for (let y = -radius; y <= radius; y++) {
        for (let z = -radius; z <= radius; z++) {
            let distance = Math.sqrt((x * x) + (y * y) + (z * z));
			if (distance <= radius) {
			let block = entity.getLevel().getBlock(entity.x + x, entity.y + y, entity.z + z);
			if (block.id == "heroes:pocket_reality_domain") {
			block.set('minecraft:air')
				}
				if (block.id == "heroes:pocket_reality_domain_water") {
			block.set('minecraft:water')
				}
				if (block.id == "heroes:pocket_reality_domain_lava") {
			block.set('minecraft:lava')
				}
			}
            
        }
    }
}


					entity.server.runCommandSilent("execute as " + entity.uuid + " at @s run kill @s");
				
				}
            });
    });